Interface for panel resizing: Store mouse initial position, handles of the elements to move or resize and their original width

### Hierarchy

- PanelResize

## Index

### Properties

- event
- leftElement
- leftWidth
- offsetLeft
- rightElement
- rightWidth
- separator

## Properties

### event

event: MouseEvent

- Defined in src/canvas/DesktopElement.ts:41

Mouse down event to store coordinates from

### leftElement

leftElement: HTMLElement

- Defined in src/canvas/DesktopElement.ts:53

Left element to resize

### leftWidth

leftWidth: number

- Defined in src/canvas/DesktopElement.ts:61

Initial width of left element

### offsetLeft

offsetLeft: number

- Defined in src/canvas/DesktopElement.ts:45

Initial mouse horizontal offset

### rightElement

rightElement: HTMLElement

- Defined in src/canvas/DesktopElement.ts:57

Right element to resize

### rightWidth

rightWidth: number

- Defined in src/canvas/DesktopElement.ts:65

Initial width of right element

### separator

separator: HTMLElement

- Defined in src/canvas/DesktopElement.ts:49

Element separating the elements to resize

Generated using TypeDoc